/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_OVERHEAD_SKEL_H__
#define __TEST_OVERHEAD_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_overhead {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *prog1;
		struct bpf_program *prog2;
		struct bpf_program *prog3;
		struct bpf_program *prog4;
		struct bpf_program *prog5;
	} progs;
	struct {
		struct bpf_link *prog1;
		struct bpf_link *prog2;
		struct bpf_link *prog3;
		struct bpf_link *prog4;
		struct bpf_link *prog5;
	} links;
};

static void
test_overhead__destroy(struct test_overhead *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_overhead__create_skeleton(struct test_overhead *obj);

static inline struct test_overhead *
test_overhead__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_overhead *obj;

	obj = (struct test_overhead *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_overhead__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_overhead__destroy(obj);
	return NULL;
}

static inline struct test_overhead *
test_overhead__open(void)
{
	return test_overhead__open_opts(NULL);
}

static inline int
test_overhead__load(struct test_overhead *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_overhead *
test_overhead__open_and_load(void)
{
	struct test_overhead *obj;

	obj = test_overhead__open();
	if (!obj)
		return NULL;
	if (test_overhead__load(obj)) {
		test_overhead__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_overhead__attach(struct test_overhead *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_overhead__detach(struct test_overhead *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_overhead__create_skeleton(struct test_overhead *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_overhead";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "prog1";
	s->progs[0].prog = &obj->progs.prog1;
	s->progs[0].link = &obj->links.prog1;

	s->progs[1].name = "prog2";
	s->progs[1].prog = &obj->progs.prog2;
	s->progs[1].link = &obj->links.prog2;

	s->progs[2].name = "prog3";
	s->progs[2].prog = &obj->progs.prog3;
	s->progs[2].link = &obj->links.prog3;

	s->progs[3].name = "prog4";
	s->progs[3].prog = &obj->progs.prog4;
	s->progs[3].link = &obj->links.prog4;

	s->progs[4].name = "prog5";
	s->progs[4].prog = &obj->progs.prog5;
	s->progs[4].link = &obj->links.prog5;

	s->data_sz = 6728;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1a\0\
\x01\0\x79\x12\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x15\x02\x01\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x79\x12\x08\0\0\0\0\0\x79\x11\x10\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x10\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x15\x01\
\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\xff\xff\xff\xff\xff\
\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\x51\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\
\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\
\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\
\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x0f\0\0\0\x08\x0f\0\x49\x13\0\0\x09\x26\0\x49\
\x13\0\0\x0a\x35\0\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x05\x3a\x0b\x3b\x0b\0\0\
\x0c\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0d\x0d\0\x03\x0e\x49\
\x13\x3a\x0b\x3b\x0b\x38\x05\0\0\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\
\x0f\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\x10\x05\0\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x11\x13\0\x03\x0e\x3c\x19\0\0\x12\x2e\x01\x11\
\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\
\x19\0\0\x13\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x1d\x01\x31\
\x13\x11\x01\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x15\x05\0\x31\x13\0\0\x16\x05\
\0\x02\x18\x31\x13\0\0\x17\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x18\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x19\x0d\0\x03\x0e\x49\x13\x3a\
\x0b\x3b\x05\x38\x0b\0\0\0\x44\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\
\0\0\0\0\0\0\0\x5a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xbf\0\0\0\x3f\0\0\0\x01\
\x2a\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xc8\0\0\0\
\x06\x01\x06\xcd\0\0\0\x08\x07\x07\x08\x5f\0\0\0\x09\x64\0\0\0\x0a\x69\0\0\0\
\x0b\x10\x01\0\0\x10\x01\x03\x4b\x0c\xe1\0\0\0\xa5\0\0\0\x03\x4c\0\x0c\x03\x01\
\0\0\xb1\0\0\0\x03\x4d\xf8\x0d\x06\x01\0\0\xb1\0\0\0\x03\x4e\0\x01\x0d\x09\x01\
\0\0\xb1\0\0\0\x03\x4f\x08\x01\0\x03\xb1\0\0\0\x04\x52\0\0\0\x1f\0\x0e\xbc\0\0\
\0\xfd\0\0\0\x02\x1f\x05\xe6\0\0\0\x07\x08\x0f\x1d\x01\0\0\x01\x0d\xfc\0\0\0\
\x01\x10\x2b\x01\0\0\x01\x0d\x03\x01\0\0\x10\x37\x01\0\0\x01\x0d\x0d\x01\0\0\
\x10\x47\x01\0\0\x01\x0d\x17\x01\0\0\x10\x4b\x01\0\0\x01\x0d\x21\x01\0\0\0\x05\
\x27\x01\0\0\x05\x04\x08\x08\x01\0\0\x11\x2f\x01\0\0\x08\x12\x01\0\0\x11\x3b\
\x01\0\0\x08\x1c\x01\0\0\x09\x4b\0\0\0\x05\x50\x01\0\0\x02\x01\x12\0\0\0\0\0\0\
\0\0\x38\0\0\0\x01\x5a\x56\x01\0\0\x01\x0d\xfc\0\0\0\x13\0\0\0\0\x2b\x01\0\0\
\x01\x0d\x03\x01\0\0\x14\xc3\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x01\x0d\x05\x15\
\xcf\0\0\0\x16\x01\x52\xda\0\0\0\x15\xe5\0\0\0\x15\xf0\0\0\0\0\0\x12\0\0\0\0\0\
\0\0\0\x10\0\0\0\x01\x5a\x5c\x01\0\0\x01\x13\xfc\0\0\0\x17\x01\x51\x2b\x01\0\0\
\x01\x13\x03\x01\0\0\0\x12\0\0\0\0\0\0\0\0\x28\0\0\0\x01\x5a\x62\x01\0\0\x01\
\x19\xfc\0\0\0\x13\x33\0\0\0\x2b\x01\0\0\x01\x19\x1a\x02\0\0\0\x12\0\0\0\0\0\0\
\0\0\x10\0\0\0\x01\x5a\x68\x01\0\0\x01\x1f\xfc\0\0\0\x17\x01\x51\x2b\x01\0\0\
\x01\x1f\x42\x02\0\0\0\x12\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\x6e\x01\0\0\x01\
\x25\xfc\0\0\0\x17\x01\x51\x2b\x01\0\0\x01\x25\x42\x02\0\0\0\x08\x1f\x02\0\0\
\x18\x79\x01\0\0\0\x04\xe8\x12\x19\x74\x01\0\0\x36\x02\0\0\x04\xe9\x12\0\0\x03\
\xb1\0\0\0\x04\x52\0\0\0\0\0\x08\xbc\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\
\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\
\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\
\x38\x34\x30\x2b\x32\x31\x32\x31\x34\x66\x61\x66\x29\0\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x6f\x76\x65\x72\x68\x65\x61\x64\x2e\x63\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\
\x65\x6c\x38\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x72\x65\x67\x73\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x73\x70\0\x70\x63\0\x70\x73\x74\x61\x74\
\x65\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x5f\x5f\x5f\x5f\x70\
\x72\x6f\x67\x31\0\x69\x6e\x74\0\x63\x74\x78\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x74\x73\x6b\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x62\x75\x66\0\x65\
\x78\x65\x63\0\x5f\x42\x6f\x6f\x6c\0\x70\x72\x6f\x67\x31\0\x70\x72\x6f\x67\x32\
\0\x70\x72\x6f\x67\x33\0\x70\x72\x6f\x67\x34\0\x70\x72\x6f\x67\x35\0\x61\x72\
\x67\x73\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x5f\x61\x72\x67\x73\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x01\0\0\x8c\x01\
\0\0\xa3\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\
\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\
\0\x01\0\0\0\x02\x01\0\0\x01\0\0\x0c\x06\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x44\
\x01\0\0\x01\0\0\x04\0\0\0\0\x5c\x01\0\0\x0c\0\0\0\0\0\0\0\x61\x01\0\0\0\0\0\
\x08\x0b\0\0\0\x67\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x0a\0\0\0\x0d\0\0\0\0\0\0\0\x7e\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x08\0\0\0\x92\x01\0\0\x01\0\0\x0c\x0e\0\0\
\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x10\0\0\
\0\xc2\x01\0\0\x01\0\0\x0c\x11\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\
\x10\0\0\0\x28\x02\0\0\x01\0\0\x0c\x13\0\0\0\x8d\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x0d\0\0\0\x04\0\0\0\x92\x02\0\
\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x9b\x02\0\0\x01\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\
\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x70\
\x72\x6f\x67\x31\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\
\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\x65\x6c\x38\x2e\x61\x61\x72\x63\
\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x6f\x76\x65\x72\x68\x65\x61\x64\x2e\x63\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x4b\x50\x52\x4f\x42\x45\x28\x70\x72\x6f\x67\x31\x2c\x20\x73\
\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\x2a\
\x74\x73\x6b\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x62\x75\
\x66\x2c\x20\x62\x6f\x6f\x6c\x20\x65\x78\x65\x63\x29\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x21\x74\x73\x6b\x3b\0\x70\x72\x6f\x67\x32\0\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x70\
\x72\x6f\x67\x32\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x62\x70\x66\x5f\x72\
\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\0\x61\
\x72\x67\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x72\x6f\x67\x33\0\x72\
\x61\x77\x5f\x74\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x21\x63\x74\x78\x2d\x3e\x61\x72\x67\x73\x5b\x30\x5d\
\x3b\0\x70\x72\x6f\x67\x34\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x74\
\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x70\x72\x6f\x67\x34\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x74\
\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\x2a\x74\x73\x6b\x2c\x20\x63\x6f\
\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x62\x75\x66\x2c\x20\x62\x6f\x6f\x6c\
\x20\x65\x78\x65\x63\x29\0\x70\x72\x6f\x67\x35\0\x66\x65\x78\x69\x74\x2f\x5f\
\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x70\x72\x6f\x67\x35\x2c\x20\x73\x74\x72\x75\
\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\x2a\x74\x73\x6b\
\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x62\x75\x66\x2c\x20\
\x62\x6f\x6f\x6c\x20\x65\x78\x65\x63\x29\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x54\0\0\0\x54\0\0\0\xbc\0\0\0\x10\x01\0\0\0\0\0\0\x08\0\0\0\x17\0\0\0\x01\0\
\0\0\0\0\0\0\x05\0\0\0\x08\x01\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x98\x01\0\0\x01\
\0\0\0\0\0\0\0\x0f\0\0\0\xc8\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x2e\x02\0\0\
\x01\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x17\0\0\0\x03\0\0\0\0\0\0\0\x2e\0\0\0\
\xa9\0\0\0\x05\x34\0\0\x10\0\0\0\x2e\0\0\0\xf4\0\0\0\x09\x3c\0\0\x20\0\0\0\x2e\
\0\0\0\xa9\0\0\0\x05\x34\0\0\x08\x01\0\0\x01\0\0\0\0\0\0\0\x2e\0\0\0\x22\x01\0\
\0\x05\x4c\0\0\x98\x01\0\0\x03\0\0\0\0\0\0\0\x2e\0\0\0\xab\x01\0\0\x0a\x6c\0\0\
\x10\0\0\0\x2e\0\0\0\xab\x01\0\0\x09\x6c\0\0\x20\0\0\0\x2e\0\0\0\xab\x01\0\0\
\x02\x6c\0\0\xc8\x01\0\0\x01\0\0\0\0\0\0\0\x2e\0\0\0\xdf\x01\0\0\x05\x7c\0\0\
\x2e\x02\0\0\x01\0\0\0\0\0\0\0\x2e\0\0\0\x44\x02\0\0\x05\x94\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\
\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x54\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x74\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1c\0\0\0\x94\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x73\x01\0\0\x04\0\xdc\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\
\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x75\x73\x72\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\x65\x6c\x38\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x31\x35\x2e\x65\x6c\x38\x2e\
\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x74\x65\x73\x74\x5f\
\x6f\x76\x65\x72\x68\x65\x61\x64\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\
\x34\x2e\x68\0\x02\0\0\x70\x74\x72\x61\x63\x65\x2e\x68\0\x03\0\0\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\
\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0c\x01\x05\x05\x0a\x01\x05\
\x09\x30\x06\x03\x71\x20\x05\x05\x06\x03\x0d\x20\x02\x03\0\x01\x01\0\x09\x02\0\
\0\0\0\0\0\0\0\x03\x12\x01\x05\x05\x0a\x01\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\
\0\0\0\0\x03\x19\x01\x05\x0a\x0a\x13\x06\x03\x65\x20\x05\x09\x03\x1b\x20\x03\
\x65\x20\x05\x02\x03\x1b\x20\x02\x01\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\
\x1e\x01\x05\x05\x0a\x01\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x24\
\x01\x05\x05\x0a\x01\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf6\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\x01\0\0\
\0\0\x03\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\x01\0\0\0\0\x05\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x11\0\x08\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x45\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\
\0\0\0\x31\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2b\x01\0\0\
\x12\0\x05\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x25\x01\0\0\x12\0\x06\0\0\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x1f\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x3b\0\0\0\0\0\0\0\x01\0\0\0\x06\0\
\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x29\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\
\0\0\x55\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x7d\x01\0\0\0\0\0\0\x01\0\0\0\x05\
\0\0\0\xa4\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xcd\x01\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\xf4\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x9c\x01\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x6c\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb8\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xe0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\x01\0\0\0\0\0\0\0\0\
\0\0\x07\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\xe9\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x0d\x01\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x24\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x4c\x01\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\x63\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x2e\x64\x65\x62\x75\x67\
\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\
\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\
\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x66\x65\x78\x69\x74\
\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\
\x6f\x6d\x6d\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\
\x6b\x5f\x63\x6f\x6d\x6d\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\
\x66\x72\x61\x6d\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\
\x6e\x61\x6d\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\
\x74\x65\x73\x74\x5f\x6f\x76\x65\x72\x68\x65\x61\x64\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\x70\x72\x6f\x67\x35\0\x70\x72\x6f\x67\x34\0\x70\x72\x6f\x67\x33\0\x70\x72\x6f\
\x67\x32\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x30\x5f\x32\0\x70\x72\x6f\x67\
\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x01\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x12\0\0\0\0\0\0\x4b\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd4\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\0\
\0\0\0\0\0\0\x66\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0f\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x19\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\x01\0\0\0\0\0\0\x39\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x02\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x19\0\0\0\x0c\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xbb\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x22\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x10\0\
\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x19\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x34\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x05\0\0\0\0\0\
\0\x91\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x1a\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\x06\0\0\0\0\0\0\x47\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x10\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x19\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\x0a\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf8\x10\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x19\0\0\0\x13\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xca\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x28\x0c\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xc6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x11\
\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x19\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\xba\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0c\0\0\0\0\0\
\0\x77\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x12\0\0\0\0\0\0\x50\0\0\0\0\
\0\0\0\x19\0\0\0\x17\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0e\x01\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0e\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_OVERHEAD_SKEL_H__ */
